# buildRelease.tcl: build a release of Diva
#
# $Id: buildRelease.tcl,v 1.43 2000/05/02 00:01:27 johnr Exp $
#
# Copyright (c) 1998-2000 The Regents of the University of California.
# All rights reserved. See the file COPYRIGHT for details.
#

### Assumed global variables:
# debug: print debug information if on
# silent: don't print anything if on

#######################################################################
#### buildRelease
#
# Build a stable release of Diva. This is a release that contains
# packages in the following variables (in vars.mk):
#
#   PACKAGES
#   AUXILIARY_PACKAGES
#
# The release is built in the directory Builds/Snapshot relative
# to the Diva root of the current directory.
#
proc buildRelease {DIVA version} {
    global silent debug

    if !$silent {
	puts " ### Building Diva release, version $version   ###"
	puts " ###                                           ###"
	puts " ### Have you run the build and smoke test?    ###"
    }

    #
    # Export the repository into Builds/Release
    #
    set dir [file join $DIVA Builds Release]
    set diva [file join $dir diva]
    exportDiva $DIVA $dir
    divaConfigure $DIVA $diva

    #
    # The packages we want to build/release/document/etc.
    #
    set packages [eval divaPackages $diva \
            PACKAGES \
	    AUXILIARY_PACKAGES]

    #
    # Build it
    #
    _buildCommon $diva $version $packages
}






