# updateCopyrights.html: update the copyrights in HTML files
#
# $Id: updateCopyrights.tcl,v 1.1 2000/05/02 00:37:56 johnr Exp $
#
# Copyright (c) 1998 The Regents of the University of California.
# All rights reserved. See the file COPYRIGHT for details.
#

#######################################################################
#### updateCopyrights
#
#
proc updateCopyrights {DIVA {dir {}}} {
    if {$dir == ""} {
	set dir [pwd]
    }
    foreach file [glob -nocomplain [file join $dir *.html] [file join $dir *.java] [file join $dir *.tcl]] {
	set fd [open $file]
	set text [read $fd]
	close $fd

	if [string match *.html $file] {
	    set p1 "\t*<!-- Copyright\[^>\]+-->\n"
	    set p2 "\t*<!-- All rights\[^>\]+-->\n"
	    set changed 0

	    set s1 "<!-- Copyright (c) 1998-2000 The Regents of the University of California. -->"
	    set s2 "<!-- All rights reserved. See the file COPYRIGHT for details.             -->"
	    
	    foreach p [list $p2 $p1] s [list $s2 $s1] {
		if [regexp $s $text] {
		    puts " no change";
		    break;
		} else {
		    if [regexp $p $text] {
			set r [regsub -all -nocase $p $text "$s\n" text]
		    } else {
			set text "$s\n$text";
		    }
		    set changed 1
		}
	    }
	} elseif [string match *.java $file] {
	    set pattern "Copyright \\(c\\) 1998-2000 The Regents of the University of California\.+All rights reserved\.\[ \]+See the file COPYRIGHT for details"
	    set changed 0
	    set subst "\[ \]+\\*+\[ \]+Copyright \\(c\\).+All rights reserved\.\[ \]+See the file COPYRIGHT for details."
	    set s1 " * Copyright (c) 1998-2000 The Regents of the University of California."
	    set s2 " * All rights reserved. See the file COPYRIGHT for details."
	    
	    if [regexp $pattern $text] {
		puts " no change";
	    } else {
		set r [regsub -all -nocase $subst $text "$s1\n$s2" text]
		set changed 1
		### puts "result = $r";
	    }

	} elseif [string match *.tcl $file] {
	    set pattern "Copyright \\(c\\) 1998-2000 The Regents of the University of California\.+All rights reserved\.\[ \]+See the file COPYRIGHT for details"
	    set changed 0
	    set subst "\[ \]*\#+\[ \]+Copyright \\(c\\).+All rights reserved\.\[ \]+See the file COPYRIGHT for details."
	    set s1 "# Copyright (c) 1998-2000 The Regents of the University of California."
	    set s2 "# All rights reserved. See the file COPYRIGHT for details."
	    
	    if [regexp $pattern $text] {
		puts " no change";
	    } else {
		set r [regsub -all -nocase $subst $text "$s1\n$s2" text]
		set changed 1
		### puts "result = $r";
	    }
	}

	if $changed {
	    puts $file
	    set fd [open $file "w"]
	    puts $fd $text
	    close $fd
	}
    }
    foreach d [glob -nocomplain [file join $dir *]] {
	if [file isdirectory $d] {
	    updateCopyrights $DIVA [file join $dir $d]
	}
    }
}
