# $Id: diva.mk,v 1.26 2000/10/04 21:00:18 michaels Exp $
#
# Directory layout for Diva
#

###
# Include the platform-specific definitions
#
include $(DIVA)/vars.mk

###
# Top-level package directories
#
PACKAGEDIRS = \
	apps \
	canvas \
	graph \
	gui \
	resource \
	sketch \
	surfaces \
	util \
	whiteboard

OBSOLETEPACKAGEDIRS = \
	glue \
	tools

###
# Top-level helper directories
#
AUXILIARYDIRS = \
	bin \
	doc \
	lib \
	mk \
	web

###
# Top-level documentation directories
#
DOCDIRS = \
	about \
	admin \
	api \
	demo \
	download \
	images \
	packages \
	templates


####
# All releasable packages in Diva. Packages that are
# empty but contain other packages must go into the
# AUXILIARY_PACKAGES variable.
#
PACKAGES = \
	diva.apps \
\
	diva.canvas \
	diva.canvas.connector \
	diva.canvas.demo \
	diva.canvas.event \
	diva.canvas.interactor \
	diva.canvas.toolbox \
	diva.canvas.tutorial \
\
	diva.graph \
	diva.graph.basic \
	diva.graph.layout \
	diva.graph.modular \
	diva.graph.schematic \
	diva.graph.toolbox \
\
	diva.gui \
	diva.gui.toolbox \
	diva.gui.tutorial \
\
	diva.resource \
\
	diva.sketch \
	diva.sketch.classification \
	diva.sketch.demo \
	diva.sketch.features \
	diva.sketch.parser2d \
	diva.sketch.recognition \
	diva.sketch.toolbox \
\
	diva.util \
	diva.util.aelfred \
	diva.util.gui \
	diva.util.java2d \
	diva.util.jester \
	diva.util.jester.demo \
	diva.util.test \
	diva.util.xml \
\
	diva.whiteboard 


####
# Packages that go into the stable release but do not have
# documentation generated for them. The last set are empty packages,
# and are in here instead of in PACKAGES so that javadoc doesn't
# barf on them.
#
AUXILIARY_PACKAGES = \
	diva.canvas.test 

####
# Packages that need to go into the jar file but contain no source files
#
JAR_PACKAGES = 

####
# Packages that are in Diva but are not scheduled for stable release
#
UNRELEASED_PACKAGES = \
\
	diva.surfaces \
	diva.surfaces.trace \
	diva.surfaces.tutorial 


####
# Packages that are in Diva but don't have to pass the smoke
# test because they depend on non-JDK classes. Packages in here
# can duplicate packages in other variables.
#
EXEMPT_PACKAGES = \
	diva.sketch.calligrapher

####
# Packages that are in Diva but are broken. This can also be
# used for packages that should be excluded from the snapshot
# for whatever reason.
#
BROKEN_PACKAGES = \
	diva.glue \
\
	diva.graph.tutorial \
\
	diva.whiteboard.uml

